%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Name:           awn-extras-applets
Version:        0.2.6
Release:        6%{?dist}
Summary:        Extras applets for avant window navigator

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/awn-extras/
Source0:        https://edge.launchpad.net/awn-extras/0.2/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avant-window-navigator-devel >= 0.2.6
BuildRequires:  libwnck-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgtop2-devel
BuildRequires:  gtk2-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  libsexy-devel
BuildRequires:  libnotify-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  ed
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  vte-devel
BuildRequires:  libXcomposite-devel

Requires:       avant-window-navigator >= 0.2.6
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gnomedesktop
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-rsvg
Requires:       gnome-python2-gtkmozembed
Requires:       gstreamer-python
Requires:       python-alsaaudio
Requires:       python-feedparser
Requires:       gnome-menus
Requires:       acpi
Requires:       dbus-python
Requires:       pycairo
Requires:       pygtk2
Requires:       vte

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
awn-extras-applets includes extras applets of Avant Window Navigator (Awn).

%prep
%setup -q
#for f in `find -name '*.py'`; do
#  head -n 1 $f | grep python && echo -e '1d\nwq' | ed $f 
#done

%build
%configure --disable-static --disable-pymod-checks
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

# resolve conflict
# mv ${RPM_BUILD_ROOT}/etc/gconf/schemas/notification-daemon.schemas \
#   ${RPM_BUILD_ROOT}/etc/gconf/schemas/awn-notification-daemon.schemas

# This project does not have translations
# %find_lang %{name}

%pre
SCHEMAS="awn-notification-daemon awn-terminal places switcher awnsystemmonitor filebrowser shinyswitcher trash"
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for name in ${SCHEMAS}; do
      gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/${name}.schemas >/dev/null || :
    done
fi

%post
SCHEMAS="awn-notification-daemon awn-terminal places switcher awnsystemmonitor filebrowser shinyswitcher trash"
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for name in ${SCHEMAS}; do
  gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/${name}.schemas > /dev/null || :
done

%preun
SCHEMAS="awn-notification-daemon awn-terminal places switcher awnsystemmonitor filebrowser shinyswitcher trash"
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for name in ${SCHEMAS}; do
      gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/${name}.schemas > /dev/null || :
    done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/affinity-preferences
%{_libdir}/libawn-extras.so*
%{python_sitelib}/awn/extras/*
%dir %{python_sitelib}/awn/extras
%{_includedir}/libawn-extras

%{_libdir}/awn/applets/*

%{_datadir}/icons
%{_datadir}/avant-window-navigator/applets/icons
%{_datadir}/avant-window-navigator/defs/awn_extras.defs
%dir %{_datadir}/awn-extras-applets
%{_datadir}/awn-extras-applets/*

%changelog
* Thu Aug 26 2008 Huang Peng <phuang@redhat.com> - 0.2.6-6
- Replace require gnome-python2 with gnome-python2-gnome

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.6-5
- rebuild for dependancies

* Thu Mar 27 2008 Huang Peng <phuang@redhat.com> - 0.2.6-4
- Add libXcomposite-devel in BuildRequire.

* Mon Mar 24 2008 Huang Peng <phuang@redhat.com> - 0.2.6-3
- Remove require avant-window-navigator-python.

* Wed Mar 19 2008 Huang Peng <phuang@redhat.com> - 0.2.6-2
- Update BuildRequire and Require in rpm spec file.

* Mon Mar 17 2008 Huang Peng <phuang@redhat.com> - 0.2.6-1
- Update to 0.2.6.

* Wed Feb 20 2008 Huang Peng <phuang@redhat.com> - 0.2.4-1
- Update to 0.2.4.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-2
- Autorebuild for GCC 4.3

* Tue Nov 6 2007 Huang Peng <phuang@redhat.com> - 0.2.1-1
- Initial build.
